# Simple gemini messages

A simple single user Gemini based message system written in Python. Messages are saved in a flat gemtext file along with the sender's hostname/IP and client cert CN if provided. Reading messages requires the cert specified in the config to be used.

Tested with the [stargazer](https://git.sr.ht/~zethra/stargazer) server

# Configuration
Copy the sample.env file to .env and update the variables to point to the location of the message file and your client cert fingerprint.

To find the fingerprint for your client cert visit the cert.cgi page

Make sure that gemini server has execute permissions for the the .cgi files and write permisson on the message file.